import request from '@/utils/request'

// 查询代码模版列表
export function listTemplate(query) {
  return request({
    url: '/generator/template/list',
    method: 'get',
    params: query
  })
}

export function getAllTemplates() {
  return request({
    url: '/generator/template/all',
    method: 'get'
  })
}

// 查询代码模版详细
export function getTemplate(templateId) {
  return request({
    url: '/generator/template/' + templateId,
    method: 'get'
  })
}

// 新增代码模版
export function addTemplate(data) {
  return request({
    url: '/generator/template',
    method: 'post',
    data: data
  })
}

// 修改代码模版
export function updateTemplate(data) {
  return request({
    url: '/generator/template',
    method: 'put',
    data: data
  })
}

// 删除代码模版
export function delTemplate(templateId) {
  return request({
    url: '/generator/template/' + templateId,
    method: 'delete'
  })
}

// 模版状态修改
export function changeTemplateStatus(templateId, templateStatus) {
  const data = {
    templateId,
    templateStatus
  }
  return request({
    url: '/generator/template/changeStatus',
    method: 'put',
    data: data
  })
}
